artemis - Removing Artemis from EmComm Tools as the developers removed the 4.1.0 ZIP asset and replaced it with a debian package on GitHub. The new Debian package forces upgrades to systems dependencies that may make EmComm Tools unstable.

This commit is contained in:
thetechprepper
2026-07-02 12:32:46 -07:00
parent bf0fb99760
commit 07b7659c6e
1018 changed files with 3 additions and 89 deletions
-50
View File
@@ -1,50 +0,0 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 15 February 2025
# Updated : 7 March 2025
# Purpose : Install Artemis
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=artemis
VERSION=4.1.0
ZIP_FILE=Artemis-Linux-x86_64-${VERSION}.zip
INSTALL_DIR=/opt/${APP}-${VERSION}
LINK_PATH=/opt/${APP}
et-log "Installing ${APP}..."
et-log "Installing dependencies..."
apt install \
libxcb-cursor0 \
-y
if [[ ! -e "${ET_DIST_DIR}/${ZIP_FILE}" ]]; then
URL=https://github.com/AresValley/Artemis/releases/download/v${VERSION}/${ZIP_FILE}
et-log "Downloading ${APP}: ${URL}"
download_with_retries ${URL} ${ZIP_FILE}
mv -v ${ZIP_FILE} ${ET_DIST_DIR}
fi
CWD_DIR=$(pwd)
if [[ ! -e ${INSTALL_DIR} ]]; then
mkdir -v ${INSTALL_DIR} && cd ${INSTALL_DIR}
unzip ${ET_DIST_DIR}/${ZIP_FILE}
else
et-log "${INSTALL_DIR} already exists."
fi
[ -e ${LINK_PATH} ] && rm ${LINK_PATH}
ln -s ${INSTALL_DIR} ${LINK_PATH}
cd ${CWD_DIR}
et-log "Installing ${APP} launcher icon..."
cp -v ../overlay/usr/share/applications/artemis.desktop /usr/share/applications/
+1 -2
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 28 June 2026
# Updated : 3 July 2026
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -97,7 +97,6 @@ exitIfNotRoot
./install-et-portaudio.sh
# Instal SIGINT tools
./install-artemis.sh
./install-minimodem.sh
# Install security tools